Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.server
Class ServerPlatformBase

`java.lang.Object
oracle.toplink.platform.server.ServerPlatformBase`

All Implemented Interfaces:
  ServerPlatform

Direct Known Subclasses:
  JBossPlatform, NoServerPlatform, Oc4jPlatform, WebLogicPlatform, WebSpherePlatform

public abstract class ServerPlatformBase
extends java.lang.Object
implements ServerPlatform

Implementation of oracle.toplink.platform.server.ServerPlatform PUBLIC: This is the abstract superclass of all platforms for all servers. Each DatabaseSession contains an instance of the receiver, to help the DatabaseSession determine: - Which external transaction controller to use - Whether or not to enable JTA (external transaction control) - How to register/unregister for runtime services (JMX/MBean) - Whether or not to enable runtime services - How to launch container Threads Subclasses already exist to provide configurations for Oc4J, WebLogic, and WebSphere. If the user wants a different external transaction controller class or to provide some different behaviour than the provided ServerPlatform(s), we recommend subclassing oracle.toplink.platform.server.ServerPlatformBase (or a subclass), and overriding: ServerPlatformBase.getExternalTransactionControllerClass() ServerPlatformBase.registerMBean() ServerPlatformBase.unregisterMBean() for the desired behaviour.

See Also:
  `public API: String getServerNameAndVersion()`

Method Summary
`java.lang.String` | `getServerNameAndVersion()` PUBLIC: getServerNameAndVersion(): Talk to the relevant server class library, and get the server name and version Default is "unknown"

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getServerNameAndVersion

    public java.lang.String getServerNameAndVersion()

  PUBLIC: getServerNameAndVersion(): Talk to the relevant server class library, and get the server name and version Default is "unknown"
  Specified by:
    `getServerNameAndVersion` in interface `ServerPlatform`
  Returns:
    String serverNameAndVersion

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD